#
# spec file for package fann
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fann
Version:        2.2.0
Release:        3.5
Summary:        Fast artificial neural network library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://leenissen.dk/fann/wp/
Source:         http://downloads.sourceforge.net/project/fann/fann/%{version}/FANN-%{version}-Source.zip
Patch0:         fix-cmake-link-libraries.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FANN is a neural network library which implements multilayer
artificial neural networks in C with support for both fully connected
and sparsely connected networks. Execution in both fixed and floating
point are supported. It includes a framework for easy handling of
training data sets.

%package -n libfann2
Summary:        Fast artificial neural network library
Group:          System/Libraries
Provides:       %{name} = %{version}
Obsoletes:      %{name} <= 2.1.0.snap20070429

%description -n libfann2
FANN is a neural network library which implements multilayer
artificial neural networks in C with support for both fully connected
and sparsely connected networks. Execution in both fixed and floating
point are supported. It includes a framework for easy handling of
training data sets.

%package -n libfann-devel
Summary:        Development package for fann, an artificial neural network library
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libfann2 = %{version}
Requires:       libstdc++-devel
Provides:       %{name}-devel = %{version}
Obsoletes:      %{name}-devel <= 2.1.0.snap20070429

%description -n libfann-devel
FANN is a neural network library which implements multilayer
artificial neural networks in C with support for both fully connected
and sparsely connected networks.

This subpackage contains the headers for FANN.

%prep
%autosetup -p1 -n FANN-%{version}-Source

perl -pi -e "s| -L[^ ']*||g" *.pc.*
sed -i 's/\r//g' COPYING.txt

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo

%install
cd build
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%post -n libfann2 -p /sbin/ldconfig

%postun -n libfann2 -p /sbin/ldconfig

%files -n libfann2
%defattr(-, root, root)
%{_libdir}/libfloatfann.so.2*
%{_libdir}/libdoublefann.so.2*
%{_libdir}/libfixedfann.so.2*
%{_libdir}/libfann.so.2*

%files -n libfann-devel
%defattr(-, root, root)
%doc COPYING.txt README.txt
%{_libdir}/libfloatfann.so
%{_libdir}/libdoublefann.so
%{_libdir}/libfixedfann.so
%{_libdir}/libfann.so
%{_includedir}/compat_time.h
%{_includedir}/doublefann.h
%{_includedir}/fann*.h
%{_includedir}/fixedfann.h
%{_includedir}/floatfann.h
%{_libdir}/pkgconfig/fann.pc

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sat Oct 22 2016 jengelh@inai.de
- Update descriptions, summaries and license field
* Tue Nov  3 2015 rpm@fthiessen.de
- Fixed spec file:
  * Use cmake macro
  * Some cleanup
  * Updated URL (new website)
- Added fix-cmake-link-libraries.patch to fix build.
  * This will add libm to the linker flags and install pkgconfig
    file in lib(64)/pkgconfig
* Wed May 27 2015 coolo@suse.com
- update to 2.2
  Added Sarprop training
  Added fann_create_train for creating an empty training data struct
  Added fann_copy for copying an ANN
  Added cascade_min_out_epochs and cascade_min_cand_epochs to improve cascade training
  Added extra checks when training, to ensure that data and network input and output sizes matches
  Added Visual Studio 2010 solution
  Added support for 64bit architecture
  Cleanup in sources
* Sun Feb  5 2012 jengelh@medozas.de
- Remove redundant tags/sections
- Parallel build with %%_smp_mflags
- Add autotools BuildRequires for factory/12.2
- Ensure pkgconfig symbols are provided
* Mon Jun  4 2007 judas_iscariote@shorewall.net
-adapt to the new library package policy as well.
* Tue Apr 17 2007 judas_iscariote@shorewall.net
- update to version fann-2.1.0.snap20070416 solving several problems
  see the vendor site for more info.
